apiVersion: apps/v1
kind: Deployment
metadata:
  name: web-client
spec:
  selector:
    matchLabels:
      app: web-client
  template:
    metadata:
      labels:
        app: web-client
    spec:
      serviceAccountName: barretthousen-service
      containers:
        - name: web-client
          image: barretthousen/client-web-client:latest
          imagePullPolicy: Always
          stdin: true
          tty: true
          env:
            - name: ORIGIN
              value: https://barretthousen.com
          ports:
            - containerPort: 80
              name: http
          resources:
            limits:
              memory: "512Mi"
              cpu: "500m"
---
apiVersion: v1
kind: Service
metadata:
  name: web-client
spec:
  selector:
    app: web-client
  ports:
    - port: 80
      targetPort: 80
